## org.h2.java.lang
Class System

    java.lang.Object
      org.h2.java.lang.System

    public class System

extends java.lang.Object

A simple java.lang.System implementation.

Field Summary
`static java.io.PrintStream` `out` The stdout stream.

Constructor Summary
`System()`

Method Summary
`static void` `arraycopy(byte[] src, int srcPos, byte[] dest, int destPos, int length)` Copy data from the source to the target.
`static void` `arraycopy(char[] src, int srcPos, char[] dest, int destPos, int length)` Copy data from the source to the target.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    public static java.io.PrintStream out

  The stdout stream.

Constructor Detail

### System

    public System()

Method Detail

### arraycopy

    public static void arraycopy(char[] src,
                                 int srcPos,
                                 char[] dest,
                                 int destPos,
                                 int length)

  Copy data from the source to the target. Source and target may overlap.

  Parameters:
    `src` - the source array
    `srcPos` - the first element in the source array
    `dest` - the destination
    `destPos` - the first element in the destination
    `length` - the number of element to copy

### arraycopy

    public static void arraycopy(byte[] src,
                                 int srcPos,
                                 byte[] dest,
                                 int destPos,
                                 int length)

  Copy data from the source to the target. Source and target may overlap.

  Parameters:
    `src` - the source array
    `srcPos` - the first element in the source array
    `dest` - the destination
    `destPos` - the first element in the destination
    `length` - the number of element to copy